<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Fader.xml</name>
  <program_name>fader.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox2_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>somebox</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton1</name>
	    <tooltip>apply repeated volume envelope</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:faded</handler>
	      <last_modification_time>Mon, 17 Jan 2000 23:06:13 GMT</last_modification_time>
	    </signal>
	    <label>Fader</label>
	    <active>False</active>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label1</name>
	    <label>beats:</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>3</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton1</name>
	    <tooltip>length of fade pattern, in beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:beat_factor</handler>
	      <last_modification_time>Mon, 17 Jan 2000 23:15:18 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:39:50 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>2</digits>
	    <numeric>False</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>1</value>
	    <lower>0.05</lower>
	    <upper>64</upper>
	    <step>0.1</step>
	    <page>10</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button3</name>
	    <tooltip>synch the phase of the fade to the underlying sound</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_fader_phase_synch</handler>
	      <last_modification_time>Fri, 03 Mar 2000 23:39:25 GMT</last_modification_time>
	    </signal>
	    <label>synch</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button33</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_arg_double_array:normalized_fade_array:[0.0 1.0 0.02 0.0 0.98 1.0 1.0 1.0]</handler>
	      <last_modification_time>Fri, 03 Mar 2000 23:39:25 GMT</last_modification_time>
	    </signal>
	    <label>ramp</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton2</name>
	    <tooltip>perforate the sound</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:perforated</handler>
	      <last_modification_time>Tue, 15 Feb 2000 08:46:21 GMT</last_modification_time>
	    </signal>
	    <label>perf</label>
	    <active>False</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label2</name>
	    <label>peak:</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton2</name>
	    <tooltip>peak width when perforating</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:peak_width</handler>
	      <last_modification_time>Fri, 28 Jan 2000 23:15:57 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:41:52 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>2</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>0.5</upper>
	    <step>0.01</step>
	    <page>0.1</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <tooltip>assign midi control of peak width</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:peak_width:0:0.5:Peak_Width</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>M</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label3</name>
	    <label>base:</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton3</name>
	    <tooltip>base width when perforating</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:base_width</handler>
	      <last_modification_time>Fri, 28 Jan 2000 23:23:27 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:40:07 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>2</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>0.3</value>
	    <lower>0</lower>
	    <upper>0.5</upper>
	    <step>0.01</step>
	    <page>0.1</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button2</name>
	    <tooltip>assign midi control of base width</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:base_width:0:0.5:Base_Width</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>M</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkDrawingArea</class>
	    <name>drawing_area</name>
	    <width>240</width>
	    <height>50</height>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_fader_drawing_area</handler>
	      <last_modification_time>Mon, 27 Dec 1999 23:25:45 GMT</last_modification_time>
	    </signal>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVScrollbar</class>
	    <name>vscrollbar1</name>
	    <tooltip>depth of effect</tooltip>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_adjustment:depth:inverted</handler>
	      <last_modification_time>Wed, 12 Apr 2000 04:32:12 GMT</last_modification_time>
	    </signal>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>1.1</upper>
	    <step>0.1</step>
	    <page>0.1</page>
	    <page_size>0.1</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>

	    <widget>
	      <class>Custom</class>
	      <name>custom_panner</name>
	      <width>40</width>
	      <height>40</height>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:@1:depth:inverted</handler>
		<last_modification_time>Fri, 27 Oct 2000 23:11:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:@0:base_width</handler>
		<last_modification_time>Fri, 27 Oct 2000 23:12:36 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam_button4_clicked</name>
		<handler>gdam_skin_arg_double:beat_factor:2:factor</handler>
		<last_modification_time>Sun, 29 Oct 2000 03:35:24 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam_button5_clicked</name>
		<handler>gdam_skin_arg_double:beat_factor:0.5:factor</handler>
		<last_modification_time>Sun, 29 Oct 2000 03:35:40 GMT</last_modification_time>
	      </signal>
	      <creation_function>deb_panner_create_func</creation_function>
	      <string1>0.3:0:0.5:0</string1>
	      <string2>0:0:1:0</string2>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Fri, 27 Oct 2000 23:09:29 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button4</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:fader</handler>
	      <last_modification_time>Mon, 27 Mar 2000 03:25:55 GMT</last_modification_time>
	    </signal>
	    <label>?</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
